package com.sixin.module_p.ui.gnc.cunfang.add

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.sixin.module_p.R
import com.sixin.module_p.base.BasePdaActivity
import com.sixin.module_p.databinding.ActivityPdaGncCunFangAddBinding

class PdaGncCunFangAddActivity :
    BasePdaActivity<ActivityPdaGncCunFangAddBinding, PdaGncCunFangAddViewModel>() {

    override fun layoutId(): Int {
        return R.layout.activity_pda_gnc_cun_fang_add
    }

    override fun viewModelClass(): Class<PdaGncCunFangAddViewModel> {
        return PdaGncCunFangAddViewModel::class.java
    }

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国内出港区域分配")
        binding.viewModel = viewModel
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, PdaGncCunFangAddActivity::class.java)
            context.startActivity(starter)
        }
    }
}